Solvedangular cli Errors during install of angular-cli

Jorg71
5023

NPM: 3.10.5
Node: v4.4.7
OS: Windows 10

I'm trying to install the webpack-version.

At first I uninstalled the beta-10 version:

npm uninstall -g angular-cli
npm cache clean
npm install -g angular-cli@webpack

During installation I get some errors (see below)

Trying to install the new webpack-version of angular-cli, I get the following messages:

 npm install -g angular-cli@webpack
npm WARN deprecated minimatch@2.0.10: Please update to minimatch 3.0.2 or higher to avoid a RegExp DoS issue
npm WARN deprecated lodash-node@2.4.1: This package has been discontinued in favor of lodash@^4.0.0.
npm WARN deprecated graceful-fs@3.0.8: graceful-fs v3.0.0 and before will fail on node releases >= v7.0. Please update to graceful-fs@^4.0.0 as soon as possible. Use 'npm ls graceful-fs' to find it in the tree.
npm WARN deprecated minimatch@0.3.0: Please update to minimatch 3.0.2 or higher to avoid a RegExp DoS issue
npm WARN deprecated tough-cookie@2.2.2: ReDoS vulnerability parsing Set-Cookie https://nodesecurity.io/advisories/130
C:\Users\jh\AppData\Roaming\npm\ng -> C:\Users\jh\AppData\Roaming\npm\node_modules\angular-cli\bin\ng

> node-zopfli@1.4.0 install C:\Users\jh\AppData\Roaming\npm\node_modules\angular-cli\node_modules\node-zopfli
> node-pre-gyp install --fallback-to-build

node-pre-gyp ERR! Tried to download: https://node-zopfli.s3.amazonaws.com/Release/zopfli-v1.4.0-node-v46-win32-x64.tar.gz
node-pre-gyp ERR! Pre-built binaries not found for node-zopfli@1.4.0 and node@4.4.7 (node-v46 ABI) (falling back to source compile with node-gyp)
gyp ERR! configure error
gyp ERR! stack Error: Can't find Python executable "python", you can set the PYTHON env variable.
gyp ERR! stack     at failNoPython (C:\Users\jh\AppData\Roaming\npm\node_modules\angular-cli\node_modules\node-gyp\lib\configure.js:449:14)
gyp ERR! stack     at C:\Users\jh\AppData\Roaming\npm\node_modules\angular-cli\node_modules\node-gyp\lib\configure.js:404:11
gyp ERR! stack     at FSReqWrap.oncomplete (fs.js:82:15)
gyp ERR! System Windows_NT 10.0.10586
gyp ERR! command "C:\\Program Files\\nodejs\\node.exe" "C:\\Users\\jh\\AppData\\Roaming\\npm\\node_modules\\angular-cli\\node_modules\\node-gyp\\bin\\node-gyp.js" "configure" "--fallback-to-build" "--module=C:\\Users\\jh\\AppData\\Roaming\\npm\\node_modules\\angular-cli\\node_modules\\node-zopfli\\lib\\binding\\node-v46-win32-x64\\zopfli.node" "--module_name=zopfli" "--module_path=C:\\Users\\jh\\AppData\\Roaming\\npm\\node_modules\\angular-cli\\node_modules\\node-zopfli\\lib\\binding\\node-v46-win32-x64"
gyp ERR! cwd C:\Users\jh\AppData\Roaming\npm\node_modules\angular-cli\node_modules\node-zopfli
gyp ERR! node -v v4.4.7
gyp ERR! node-gyp -v v3.4.0
gyp ERR! not ok
node-pre-gyp ERR! build error
node-pre-gyp ERR! stack Error: Failed to execute 'C:\Program Files\nodejs\node.exe C:\Users\jh\AppData\Roaming\npm\node_modules\angular-cli\node_modules\node-gyp\bin\node-gyp.js configure --fallback-to-build --module=C:\Users\jh\AppData\Roaming\npm\node_modules\angular-cli\node_modules\node-zopfli\lib\binding\node-v46-win32-x64\zopfli.node --module_name=zopfli --module_path=C:\Users\jh\AppData\Roaming\npm\node_modules\angular-cli\node_modules\node-zopfli\lib\binding\node-v46-win32-x64' (1)
node-pre-gyp ERR! stack     at ChildProcess.<anonymous> (C:\Users\jh\AppData\Roaming\npm\node_modules\angular-cli\node_modules\node-pre-gyp\lib\util\compile.js:83:29)
node-pre-gyp ERR! stack     at emitTwo (events.js:87:13)
node-pre-gyp ERR! stack     at ChildProcess.emit (events.js:172:7)
node-pre-gyp ERR! stack     at maybeClose (internal/child_process.js:827:16)
node-pre-gyp ERR! stack     at Process.ChildProcess._handle.onexit (internal/child_process.js:211:5)
node-pre-gyp ERR! System Windows_NT 10.0.10586
node-pre-gyp ERR! command "C:\\Program Files\\nodejs\\node.exe" "C:\\Users\\jh\\AppData\\Roaming\\npm\\node_modules\\angular-cli\\node_modules\\node-pre-gyp\\bin\\node-pre-gyp" "install" "--fallback-to-build"
node-pre-gyp ERR! cwd C:\Users\jh\AppData\Roaming\npm\node_modules\angular-cli\node_modules\node-zopfli
node-pre-gyp ERR! node -v v4.4.7
node-pre-gyp ERR! node-pre-gyp -v v0.6.29
node-pre-gyp ERR! not ok
Failed to execute 'C:\Program Files\nodejs\node.exe C:\Users\jh\AppData\Roaming\npm\node_modules\angular-cli\node_modules\node-gyp\bin\node-gyp.js configure --fallback-to-build --module=C:\Users\jh\AppData\Roaming\npm\node_modules\angular-cli\node_modules\node-zopfli\lib\binding\node-v46-win32-x64\zopfli.node --module_name=zopfli --module_path=C:\Users\jh\AppData\Roaming\npm\node_modules\angular-cli\node_modules\node-zopfli\lib\binding\node-v46-win32-x64' (1)
npm WARN install:node-zopfli@1.4.0 node-zopfli@1.4.0 install: `node-pre-gyp install --fallback-to-build`
npm WARN install:node-zopfli@1.4.0 Exit status 1

> node-sass@3.8.0 install C:\Users\jh\AppData\Roaming\npm\node_modules\angular-cli\node_modules\node-sass
> node scripts/install.js

Binary downloaded and installed at C:\Users\jh\AppData\Roaming\npm\node_modules\angular-cli\node_modules\node-sass\vendor\win32-x64-46\binding.node

> phantomjs-prebuilt@2.1.10 install C:\Users\jh\AppData\Roaming\npm\node_modules\angular-cli\node_modules\phantomjs-prebuilt
> node install.js

PhantomJS not found on PATH
Download already available at C:\Users\jh\AppData\Local\Temp\phantomjs\phantomjs-2.1.1-windows.zip
Verified checksum of previously downloaded file
Extracting zip contents
Removing C:\Users\jh\AppData\Roaming\npm\node_modules\angular-cli\node_modules\phantomjs-prebuilt\lib\phantom
Copying extracted folder C:\Users\jh\AppData\Local\Temp\phantomjs\phantomjs-2.1.1-windows.zip-extract-1470387874779\phantomjs-2.1.1-windows -> C:\Users\jh\AppData\Roaming\npm\node_modules\angular-cli\node_modules\phantomjs-prebuilt\lib\phantom
Writing location.js file
Done. Phantomjs binary available at C:\Users\jh\AppData\Roaming\npm\node_modules\angular-cli\node_modules\phantomjs-prebuilt\lib\phantom\bin\phantomjs.exe

> node-sass@3.8.0 postinstall C:\Users\jh\AppData\Roaming\npm\node_modules\angular-cli\node_modules\node-sass
> node scripts/build.js

"C:\Users\jh\AppData\Roaming\npm\node_modules\angular-cli\node_modules\node-sass\vendor\win32-x64-46\binding.node" exists.
 testing binary.
Binary is fine; exiting.
C:\Users\jh\AppData\Roaming\npm
`-- angular-cli@1.0.0-beta.11-webpack
  +-- @types/lodash@4.0.25-alpha
  +-- @types/rimraf@0.0.25-alpha
  +-- @types/webpack@1.12.31
  | `-- @types/uglify-js@2.0.27
  |   `-- @types/source-map@0.1.26
  +-- angular2-template-loader@0.4.0
  | `-- loader-utils@0.2.15
  |   +-- big.js@3.1.3
  |   +-- emojis-list@2.0.1
  |   `-- json5@0.5.0
  +-- awesome-typescript-loader@2.1.1
  | +-- colors@1.1.2
  | +-- object-assign@4.1.0
  | `-- source-map-support@0.4.2
  +-- chalk@1.1.3
  | +-- ansi-styles@2.2.1
  | +-- escape-string-regexp@1.0.5
  | +-- has-ansi@2.0.0
  | | `-- ansi-regex@2.0.0
  | +-- strip-ansi@3.0.1
  | `-- supports-color@2.0.0
  +-- compression-webpack-plugin@0.3.1
  | +-- async@0.2.10
  | `-- webpack-sources@0.1.2
  |   `-- source-map@0.5.6
  +-- copy-webpack-plugin@3.0.1
  | +-- bluebird@2.10.2
  | +-- fs-extra@0.26.7
  | +-- glob@6.0.4
  | +-- minimatch@3.0.2
  | | `-- brace-expansion@1.1.6
  | |   +-- balanced-match@0.4.2
  | |   `-- concat-map@0.0.1
  | `-- node-dir@0.1.15
  +-- core-js@2.4.1
  +-- css-loader@0.23.1
  | +-- css-selector-tokenizer@0.5.4
  | | +-- cssesc@0.1.0
  | | `-- fastparse@1.1.1
  | +-- cssnano@3.7.3
  | | +-- autoprefixer@6.4.0
  | | | +-- browserslist@1.3.5
  | | | +-- caniuse-db@1.0.30000517
  | | | +-- normalize-range@0.1.2
  | | | `-- num2fraction@1.2.2
  | | +-- decamelize@1.2.0
  | | +-- defined@1.0.0
  | | +-- indexes-of@1.0.1
  | | +-- postcss-calc@5.3.0
  | | | +-- postcss-message-helpers@2.0.0
  | | | `-- reduce-css-calc@1.2.4
  | | |   +-- balanced-match@0.1.0
  | | |   `-- reduce-function-call@1.0.1
  | | |     `-- balanced-match@0.1.0
  | | +-- postcss-colormin@2.2.0
  | | | `-- colormin@1.1.1
  | | |   +-- color@0.11.3
  | | |   | +-- color-convert@1.3.1
  | | |   | `-- color-string@0.3.0
  | | |   |   `-- color-name@1.1.1
  | | |   `-- css-color-names@0.0.4
  | | +-- postcss-convert-values@2.4.0
  | | +-- postcss-discard-comments@2.0.4
  | | +-- postcss-discard-duplicates@2.0.1
  | | +-- postcss-discard-empty@2.1.0
  | | +-- postcss-discard-overridden@0.1.1
  | | +-- postcss-discard-unused@2.2.1
  | | | +-- flatten@1.0.2
  | | | `-- uniqs@2.0.0
  | | +-- postcss-filter-plugins@2.0.1
  | | | `-- uniqid@3.1.0
  | | |   `-- macaddress@0.2.8
  | | +-- postcss-merge-idents@2.1.6
  | | | `-- has-own@1.0.0
  | | +-- postcss-merge-longhand@2.0.1
  | | +-- postcss-merge-rules@2.0.10
  | | | `-- vendors@1.0.0
  | | +-- postcss-minify-font-values@1.0.5
  | | +-- postcss-minify-gradients@1.0.3
  | | +-- postcss-minify-params@1.0.4
  | | | `-- alphanum-sort@1.0.2
  | | +-- postcss-minify-selectors@2.0.5
  | | | `-- postcss-selector-parser@2.1.1
  | | |   `-- uniq@1.0.1
  | | +-- postcss-normalize-charset@1.1.0
  | | +-- postcss-normalize-url@3.0.7
  | | | +-- is-absolute-url@2.0.0
  | | | `-- normalize-url@1.6.0
  | | |   +-- prepend-http@1.0.4
  | | |   +-- query-string@4.2.2
  | | |   | `-- strict-uri-encode@1.1.0
  | | |   `-- sort-keys@1.1.2
  | | |     `-- is-plain-obj@1.1.0
  | | +-- postcss-ordered-values@2.2.1
  | | +-- postcss-reduce-idents@2.3.0
  | | +-- postcss-reduce-initial@1.0.0
  | | +-- postcss-reduce-transforms@1.0.3
  | | +-- postcss-svgo@2.1.4
  | | | +-- is-svg@2.0.1
  | | | | `-- html-comment-regex@1.1.1
  | | | `-- svgo@0.6.6
  | | |   +-- coa@1.0.1
  | | |   +-- csso@2.0.0
  | | |   | +-- clap@1.1.1
  | | |   | `-- source-map@0.5.6
  | | |   +-- sax@1.2.1
  | | |   `-- whet.extend@0.9.9
  | | +-- postcss-unique-selectors@2.0.2
  | | +-- postcss-value-parser@3.3.0
  | | `-- postcss-zindex@2.1.1
  | +-- lodash.camelcase@3.0.1
  | | `-- lodash._createcompounder@3.0.0
  | |   +-- lodash.deburr@3.2.0
  | |   | `-- lodash._root@3.0.1
  | |   `-- lodash.words@3.2.0
  | +-- postcss@5.1.1
  | | +-- js-base64@2.1.9
  | | +-- source-map@0.5.6
  | | `-- supports-color@3.1.2
  | +-- postcss-modules-extract-imports@1.0.1
  | +-- postcss-modules-local-by-default@1.1.1
  | | `-- css-selector-tokenizer@0.6.0
  | |   `-- regexpu-core@1.0.0
  | |     +-- regenerate@1.3.1
  | |     +-- regjsgen@0.2.0
  | |     `-- regjsparser@0.1.5
  | |       `-- jsesc@0.5.0
  | +-- postcss-modules-scope@1.0.2
  | | `-- css-selector-tokenizer@0.6.0
  | +-- postcss-modules-values@1.1.3
  | | `-- icss-replace-symbols@1.0.2
  | `-- source-list-map@0.1.6
  +-- ember-cli@2.5.0
  | +-- amd-name-resolver@0.0.5
  | | `-- ensure-posix-path@1.0.1
  | +-- bower@1.7.9
  | +-- bower-config@1.4.0
  | | +-- mout@1.0.0
  | | +-- osenv@0.1.3
  | | | `-- os-homedir@1.0.1
  | | `-- untildify@2.1.0
  | +-- bower-endpoint-parser@0.2.2
  | +-- broccoli-babel-transpiler@5.5.1
  | | +-- babel-core@5.8.38
  | | | +-- babel-plugin-constant-folding@1.0.1
  | | | +-- babel-plugin-dead-code-elimination@1.0.2
  | | | +-- babel-plugin-eval@1.0.1
  | | | +-- babel-plugin-inline-environment-variables@1.0.1
  | | | +-- babel-plugin-jscript@1.0.4
  | | | +-- babel-plugin-member-expression-literals@1.0.1
  | | | +-- babel-plugin-property-literals@1.0.1
  | | | +-- babel-plugin-proto-to-assign@1.0.4
  | | | | `-- lodash@3.10.1
  | | | +-- babel-plugin-react-constant-elements@1.0.3
  | | | +-- babel-plugin-react-display-name@1.0.3
  | | | +-- babel-plugin-remove-console@1.0.1
  | | | +-- babel-plugin-remove-debugger@1.0.1
  | | | +-- babel-plugin-runtime@1.0.7
  | | | +-- babel-plugin-undeclared-variables-check@1.0.2
  | | | | `-- leven@1.0.2
  | | | +-- babel-plugin-undefined-to-void@1.1.6
  | | | +-- babylon@5.8.38
  | | | +-- convert-source-map@1.3.0
  | | | +-- core-js@1.2.7
  | | | +-- detect-indent@3.0.1
  | | | | `-- minimist@1.2.0
  | | | +-- esutils@2.0.2
  | | | +-- fs-readdir-recursive@0.1.2
  | | | +-- globals@6.4.1
  | | | +-- home-or-tmp@1.0.0
  | | | | `-- user-home@1.1.1
  | | | +-- is-integer@1.0.6
  | | | | `-- is-finite@1.0.1
  | | | +-- js-tokens@1.0.1
  | | | +-- json5@0.4.0
  | | | +-- lodash@3.10.1
  | | | +-- minimatch@2.0.10
  | | | +-- output-file-sync@1.1.2
  | | | +-- path-exists@1.0.0
  | | | +-- private@0.1.6
  | | | +-- regenerator@0.8.40
  | | | | +-- commoner@0.10.4
  | | | | | +-- detective@4.3.1
  | | | | | | `-- acorn@1.2.2
  | | | | | `-- glob@5.0.15
  | | | | +-- defs@1.1.1
  | | | | | +-- alter@0.2.0
  | | | | | | `-- stable@0.1.5
  | | | | | +-- ast-traverse@0.1.1
  | | | | | +-- breakable@1.0.0
  | | | | | +-- esprima-fb@15001.1001.0-dev-harmony-fb
  | | | | | +-- simple-fmt@0.1.0
  | | | | | +-- simple-is@0.2.0
  | | | | | +-- stringmap@0.2.2
  | | | | | +-- stringset@0.2.1
  | | | | | +-- tryor@0.1.2
  | | | | | `-- yargs@3.27.0
  | | | | |   `-- window-size@0.1.4
  | | | | +-- esprima-fb@15001.1001.0-dev-harmony-fb
  | | | | `-- recast@0.10.33
  | | | |   +-- ast-types@0.8.12
  | | | |   +-- esprima-fb@15001.1001.0-dev-harmony-fb
  | | | |   `-- source-map@0.5.6
  | | | +-- regexpu@1.3.0
  | | | +-- repeating@1.1.3
  | | | +-- shebang-regex@1.0.0
  | | | +-- slash@1.0.0
  | | | +-- source-map@0.5.6
  | | | +-- source-map-support@0.2.10
  | | | | `-- source-map@0.1.32
  | | | +-- to-fast-properties@1.0.2
  | | | +-- trim-right@1.0.1
  | | | `-- try-resolve@1.0.1
  | | +-- broccoli-persistent-filter@1.2.8
  | | | +-- async-disk-cache@1.0.8
  | | | | `-- istextorbinary@2.1.0
  | | | |   +-- binaryextensions@2.0.0
  | | | |   +-- editions@1.1.2
  | | | |   `-- textextensions@2.0.1
  | | | +-- fs-tree-diff@0.5.1
  | | | +-- hash-for-dep@1.0.2
  | | | | `-- broccoli-kitchen-sink-helpers@0.2.9
  | | | |   `-- glob@5.0.15
  | | | +-- heimdalljs-logger@0.1.6
  | | | `-- md5-hex@1.3.0
  | | |   `-- md5-o-matic@0.1.1
  | | +-- clone@0.2.0
  | | `-- json-stable-stringify@1.0.1
  | |   `-- jsonify@0.0.0
  | +-- broccoli-concat@2.3.3
  | | +-- broccoli-caching-writer@2.3.1
  | | | +-- broccoli-kitchen-sink-helpers@0.2.9
  | | | | `-- glob@5.0.15
  | | | `-- broccoli-plugin@1.1.0
  | | +-- fast-sourcemap-concat@1.0.1
  | | | +-- chalk@0.5.1
  | | | | +-- ansi-styles@1.1.0
  | | | | +-- has-ansi@0.1.0
  | | | | | `-- ansi-regex@0.2.1
  | | | | +-- strip-ansi@0.3.0
  | | | | `-- supports-color@0.2.0
  | | | +-- memory-streams@0.1.0
  | | | | `-- readable-stream@1.0.34
  | | | |   `-- isarray@0.0.1
  | | | +-- source-map@0.4.4
  | | | `-- source-map-url@0.3.0
  | | +-- lodash.merge@4.5.1
  | | +-- lodash.omit@4.4.1
  | | `-- lodash.uniq@4.4.0
  | +-- broccoli-config-loader@1.0.0
  | +-- broccoli-config-replace@1.1.2
  | | `-- fs-extra@0.24.0
  | +-- broccoli-funnel@1.0.5
  | | +-- array-equal@1.0.0
  | | +-- blank-object@1.0.1
  | | +-- fast-ordered-set@1.0.2
  | | +-- fs-tree-diff@0.5.1
  | | +-- heimdalljs@0.1.3
  | | `-- path-posix@1.0.0
  | +-- broccoli-funnel-reducer@1.0.0
  | +-- broccoli-kitchen-sink-helpers@0.3.1
  | | `-- glob@5.0.15
  | +-- broccoli-merge-trees@1.1.3
  | | +-- can-symlink@1.0.0
  | | | `-- tmp@0.0.28
  | | `-- fs-tree-diff@0.5.1
  | +-- broccoli-plugin@1.2.1
  | +-- broccoli-sane-watcher@1.1.4
  | | `-- broccoli-slow-trees@1.1.0
  | +-- broccoli-source@1.1.0
  | +-- broccoli-viz@2.0.1
  | +-- clean-base-url@1.0.0
  | +-- compression@1.6.2
  | | +-- accepts@1.3.3
  | | | `-- negotiator@0.6.1
  | | +-- bytes@2.3.0
  | | +-- compressible@2.0.8
  | | | `-- mime-db@1.23.0
  | | +-- on-headers@1.0.1
  | | `-- vary@1.1.0
  | +-- configstore@2.0.0
  | | +-- dot-prop@2.4.0
  | | | `-- is-obj@1.0.1
  | | +-- os-tmpdir@1.0.1
  | | +-- uuid@2.0.2
  | | +-- write-file-atomic@1.1.4
  | | | +-- imurmurhash@0.1.4
  | | | `-- slide@1.1.6
  | | `-- xdg-basedir@2.0.0
  | +-- core-object@0.0.2
  | | `-- lodash-node@2.4.1
  | +-- cpr@0.4.2
  | | `-- rimraf@2.4.5
  | |   `-- glob@6.0.4
  | +-- debug@2.2.0
  | | `-- ms@0.7.1
  | +-- diff@2.2.3
  | +-- ember-cli-broccoli@0.16.9
  | | +-- broccoli-kitchen-sink-helpers@0.2.9
  | | | `-- glob@5.0.15
  | | +-- commander@2.9.0
  | | | `-- graceful-readlink@1.0.1
  | | +-- connect@3.4.1
  | | | `-- finalhandler@0.4.1
  | | `-- copy-dereference@1.0.0
  | +-- ember-cli-get-component-path-option@1.0.0
  | +-- ember-cli-is-package-missing@1.0.0
  | +-- ember-cli-normalize-entity-name@1.0.0
  | +-- ember-cli-path-utils@1.0.0
  | +-- ember-cli-preprocess-registry@2.0.0
  | | +-- broccoli-clean-css@1.1.0
  | | | +-- clean-css-promise@0.1.1
  | | | | `-- array-to-error@1.1.1
  | | | |   `-- array-to-sentence@1.1.0
  | | | `-- inline-source-map-comment@1.0.5
  | | |   +-- minimist@1.2.0
  | | |   `-- sum-up@1.0.3
  | | +-- lodash@3.10.1
  | | `-- process-relative-require@1.0.0
  | +-- ember-cli-test-info@1.0.0
  | +-- ember-cli-valid-component-name@1.0.0
  | +-- ember-router-generator@1.2.1
  | | `-- recast@0.11.10
  | |   +-- ast-types@0.8.17
  | |   `-- source-map@0.5.6
  | +-- exists-sync@0.0.3
  | +-- express@4.14.0
  | | +-- array-flatten@1.1.1
  | | +-- content-disposition@0.5.1
  | | +-- content-type@1.0.2
  | | +-- cookie@0.3.1
  | | +-- cookie-signature@1.0.6
  | | +-- depd@1.1.0
  | | +-- encodeurl@1.0.1
  | | +-- escape-html@1.0.3
  | | +-- etag@1.7.0
  | | +-- finalhandler@0.5.0
  | | | +-- statuses@1.3.0
  | | | `-- unpipe@1.0.0
  | | +-- fresh@0.3.0
  | | +-- merge-descriptors@1.0.1
  | | +-- methods@1.1.2
  | | +-- on-finished@2.3.0
  | | | `-- ee-first@1.1.1
  | | +-- parseurl@1.3.1
  | | +-- path-to-regexp@0.1.7
  | | +-- proxy-addr@1.1.2
  | | | +-- forwarded@0.1.0
  | | | `-- ipaddr.js@1.1.1
  | | +-- qs@6.2.0
  | | +-- range-parser@1.2.0
  | | +-- send@0.14.1
  | | | `-- destroy@1.0.4
  | | +-- serve-static@1.11.1
  | | +-- type-is@1.6.13
  | | | `-- media-typer@0.3.0
  | | `-- utils-merge@1.0.0
  | +-- filesize@3.3.0
  | +-- findup@0.1.5
  | | +-- colors@0.6.2
  | | `-- commander@2.1.0
  | +-- findup-sync@0.2.1
  | | `-- glob@4.3.5
  | |   `-- minimatch@2.0.10
  | +-- fs-extra@0.26.7
  | +-- fs-monitor-stack@1.1.1
  | +-- fs-tree-diff@0.4.4
  | +-- get-caller-file@1.0.1
  | +-- git-repo-info@1.1.4
  | +-- glob@7.0.3
  | +-- http-proxy@1.14.0
  | | +-- eventemitter3@1.2.0
  | | `-- requires-port@1.0.0
  | +-- inflection@1.10.0
  | +-- inquirer@0.12.0
  | | +-- ansi-escapes@1.4.0
  | | +-- cli-cursor@1.0.2
  | | | `-- restore-cursor@1.0.1
  | | |   +-- exit-hook@1.1.1
  | | |   `-- onetime@1.1.0
  | | +-- cli-width@2.1.0
  | | +-- figures@1.7.0
  | | +-- readline2@1.0.1
  | | | +-- code-point-at@1.0.0
  | | | | `-- number-is-nan@1.0.0
  | | | +-- is-fullwidth-code-point@1.0.0
  | | | `-- mute-stream@0.0.5
  | | +-- run-async@0.1.0
  | | +-- rx-lite@3.1.2
  | | `-- string-width@1.0.1
  | +-- is-git-url@0.2.3
  | +-- isbinaryfile@2.0.4
  | +-- markdown-it@4.3.0
  | | +-- argparse@1.0.7
  | | +-- entities@1.1.1
  | | +-- linkify-it@1.2.4
  | | +-- mdurl@1.0.1
  | | `-- uc.micro@1.0.2
  | +-- markdown-it-terminal@0.0.3
  | | +-- cardinal@0.5.0
  | | | +-- ansicolors@0.2.1
  | | | `-- redeyed@0.5.0
  | | |   `-- esprima-fb@12001.1.0-dev-harmony-fb
  | | +-- cli-table@0.3.1
  | | | `-- colors@1.0.3
  | | +-- lodash.merge@3.3.2
  | | `-- markdown-it@4.4.0
  | +-- merge-defaults@0.2.1
  | | `-- lodash@2.4.2
  | +-- mkdirp@0.5.1
  | | `-- minimist@0.0.8
  | +-- morgan@1.7.0
  | | `-- basic-auth@1.0.4
  | +-- node-modules-path@1.0.1
  | +-- node-uuid@1.4.7
  | +-- nopt@3.0.6
  | | `-- abbrev@1.0.9
  | +-- npm@2.14.21
  | | +-- abbrev@1.0.7
  | | +-- ansi@0.3.1
  | | +-- ansi-regex@2.0.0
  | | +-- ansicolors@0.3.2
  | | +-- ansistyles@0.1.3
  | | +-- archy@1.0.0
  | | +-- async-some@1.0.2
  | | +-- block-stream@0.0.8
  | | +-- char-spinner@1.0.1
  | | +-- chmodr@1.0.2
  | | +-- chownr@1.0.1
  | | +-- cmd-shim@2.0.2
  | | +-- columnify@1.5.4
  | | | `-- wcwidth@1.0.0
  | | |   `-- defaults@1.0.3
  | | |     `-- clone@1.0.2
  | | +-- config-chain@1.1.10
  | | | `-- proto-list@1.2.4
  | | +-- dezalgo@1.0.3
  | | | `-- asap@2.0.3
  | | +-- editor@1.0.0
  | | +-- fs-vacuum@1.2.7
  | | +-- fs-write-stream-atomic@1.0.8
  | | | `-- iferr@0.1.5
  | | +-- fstream@1.0.8
  | | +-- fstream-npm@1.0.7
  | | | `-- fstream-ignore@1.0.3
  | | +-- github-url-from-git@1.4.0
  | | +-- github-url-from-username-repo@1.0.2
  | | +-- glob@5.0.15
  | | | `-- path-is-absolute@1.0.0
  | | +-- graceful-fs@4.1.3
  | | +-- hosted-git-info@2.1.4
  | | +-- imurmurhash@0.1.4
  | | +-- inflight@1.0.4
  | | +-- inherits@2.0.1
  | | +-- ini@1.3.4
  | | +-- init-package-json@1.9.3
  | | | +-- glob@6.0.4
  | | | | `-- path-is-absolute@1.0.0
  | | | `-- promzard@0.3.0
  | | +-- lockfile@1.0.1
  | | +-- lru-cache@3.2.0
  | | | `-- pseudomap@1.0.1
  | | +-- minimatch@3.0.0
  | | | `-- brace-expansion@1.1.1
  | | |   +-- balanced-match@0.2.1
  | | |   `-- concat-map@0.0.1
  | | +-- mkdirp@0.5.1
  | | | `-- minimist@0.0.8
  | | +-- node-gyp@3.3.0
  | | | +-- glob@4.5.3
  | | | | `-- minimatch@2.0.10
  | | | |   `-- brace-expansion@1.1.3
  | | | |     +-- balanced-match@0.3.0
  | | | |     `-- concat-map@0.0.1
  | | | +-- minimatch@1.0.0
  | | | | +-- lru-cache@2.7.3
  | | | | `-- sigmund@1.0.1
  | | | `-- path-array@1.0.1
  | | |   `-- array-index@1.0.0
  | | |     +-- debug@2.2.0
  | | |     | `-- ms@0.7.1
  | | |     `-- es6-symbol@3.0.2
  | | |       +-- d@0.1.1
  | | |       `-- es5-ext@0.10.11
  | | |         `-- es6-iterator@2.0.0
  | | +-- nopt@3.0.6
  | | +-- normalize-git-url@3.0.1
  | | +-- normalize-package-data@2.3.5
  | | | `-- is-builtin-module@1.0.0
  | | |   `-- builtin-modules@1.1.0
  | | +-- npm-cache-filename@1.0.2
  | | +-- npm-install-checks@1.0.7
  | | +-- npm-package-arg@4.1.0
  | | +-- npm-registry-client@7.0.9
  | | | +-- concat-stream@1.5.1
  | | | | +-- readable-stream@2.0.4
  | | | | | +-- core-util-is@1.0.2
  | | | | | +-- isarray@0.0.1
  | | | | | +-- process-nextick-args@1.0.6
  | | | | | +-- string_decoder@0.10.31
  | | | | | `-- util-deprecate@1.0.2
  | | | | `-- typedarray@0.0.6
  | | | `-- retry@0.8.0
  | | +-- npm-user-validate@0.1.2
  | | +-- npmlog@2.0.2
  | | | +-- are-we-there-yet@1.0.6
  | | | | `-- delegates@1.0.0
  | | | `-- gauge@1.2.5
  | | |   +-- has-unicode@2.0.0
  | | |   +-- lodash.pad@3.2.2
  | | |   | `-- lodash.repeat@3.2.0
  | | |   |   `-- lodash._root@3.0.1
  | | |   +-- lodash.padleft@3.1.1
  | | |   | +-- lodash._basetostring@3.0.1
  | | |   | `-- lodash._createpadding@3.6.1
  | | |   `-- lodash.padright@3.1.1
  | | +-- once@1.3.3
  | | +-- opener@1.4.1
  | | +-- osenv@0.1.3
  | | | +-- os-homedir@1.0.0
  | | | `-- os-tmpdir@1.0.1
  | | +-- path-is-inside@1.0.1
  | | +-- read@1.0.7
  | | | `-- mute-stream@0.0.5
  | | +-- read-installed@4.0.3
  | | | +-- debuglog@1.0.1
  | | | +-- readdir-scoped-modules@1.0.2
  | | | `-- util-extend@1.0.1
  | | +-- read-package-json@2.0.3
  | | | +-- glob@6.0.4
  | | | | `-- path-is-absolute@1.0.0
  | | | `-- json-parse-helpfulerror@1.0.3
  | | |   `-- jju@1.2.1
  | | +-- readable-stream@1.1.13
  | | | +-- core-util-is@1.0.1
  | | | +-- isarray@0.0.1
  | | | `-- string_decoder@0.10.31
  | | +-- realize-package-specifier@3.0.1
  | | +-- request@2.69.0
  | | | +-- aws-sign2@0.6.0
  | | | +-- aws4@1.2.1
  | | | | `-- lru-cache@2.7.3
  | | | +-- bl@1.0.2
  | | | | `-- readable-stream@2.0.5
  | | | |   +-- core-util-is@1.0.2
  | | | |   +-- isarray@0.0.1
  | | | |   +-- process-nextick-args@1.0.6
  | | | |   +-- string_decoder@0.10.31
  | | | |   `-- util-deprecate@1.0.2
  | | | +-- caseless@0.11.0
  | | | +-- combined-stream@1.0.5
  | | | | `-- delayed-stream@1.0.0
  | | | +-- extend@3.0.0
  | | | +-- forever-agent@0.6.1
  | | | +-- form-data@1.0.0-rc3
  | | | | `-- async@1.5.2
  | | | +-- har-validator@2.0.6
  | | | | +-- chalk@1.1.1
  | | | | | +-- ansi-styles@2.1.0
  | | | | | +-- escape-string-regexp@1.0.4
  | | | | | +-- has-ansi@2.0.0
  | | | | | `-- supports-color@2.0.0
  | | | | +-- commander@2.9.0
  | | | | | `-- graceful-readlink@1.0.1
  | | | | +-- is-my-json-valid@2.12.4
  | | | | | +-- generate-function@2.0.0
  | | | | | +-- generate-object-property@1.2.0
  | | | | | | `-- is-property@1.0.2
  | | | | | +-- jsonpointer@2.0.0
  | | | | | `-- xtend@4.0.1
  | | | | `-- pinkie-promise@2.0.0
  | | | |   `-- pinkie@2.0.4
  | | | +-- hawk@3.1.3
  | | | | +-- boom@2.10.1
  | | | | +-- cryptiles@2.0.5
  | | | | +-- hoek@2.16.3
  | | | | `-- sntp@1.0.9
  | | | +-- http-signature@1.1.1
  | | | | +-- assert-plus@0.2.0
  | | | | +-- jsprim@1.2.2
  | | | | | +-- extsprintf@1.0.2
  | | | | | +-- json-schema@0.2.2
  | | | | | `-- verror@1.3.6
  | | | | `-- sshpk@1.7.3
  | | | |   +-- asn1@0.2.3
  | | | |   +-- dashdash@1.12.2
  | | | |   +-- ecc-jsbn@0.1.1
  | | | |   +-- jodid25519@1.0.2
  | | | |   +-- jsbn@0.1.0
  | | | |   `-- tweetnacl@0.13.3
  | | | +-- is-typedarray@1.0.0
  | | | +-- isstream@0.1.2
  | | | +-- json-stringify-safe@5.0.1
  | | | +-- mime-types@2.1.9
  | | | | `-- mime-db@1.21.0
  | | | +-- node-uuid@1.4.7
  | | | +-- oauth-sign@0.8.1
  | | | +-- qs@6.0.2
  | | | +-- stringstream@0.0.5
  | | | +-- tough-cookie@2.2.1
  | | | `-- tunnel-agent@0.4.2
  | | +-- retry@0.9.0
  | | +-- rimraf@2.5.2
  | | | `-- glob@7.0.0
  | | |   `-- path-is-absolute@1.0.0
  | | +-- semver@5.1.0
  | | +-- sha@2.0.1
  | | | `-- readable-stream@2.0.2
  | | |   +-- core-util-is@1.0.1
  | | |   +-- isarray@0.0.1
  | | |   +-- process-nextick-args@1.0.3
  | | |   +-- string_decoder@0.10.31
  | | |   `-- util-deprecate@1.0.1
  | | +-- slide@1.1.6
  | | +-- sorted-object@1.0.0
  | | +-- spdx-license-ids@1.2.0
  | | +-- strip-ansi@3.0.0
  | | +-- tar@2.2.1
  | | +-- text-table@0.2.0
  | | +-- uid-number@0.0.6
  | | +-- umask@1.1.0
  | | +-- validate-npm-package-license@3.0.1
  | | | +-- spdx-correct@1.0.2
  | | | `-- spdx-expression-parse@1.0.2
  | | |   `-- spdx-exceptions@1.0.4
  | | +-- validate-npm-package-name@2.2.2
  | | | `-- builtins@0.0.7
  | | +-- which@1.2.4
  | | | +-- is-absolute@0.1.7
  | | | | `-- is-relative@0.1.3
  | | | `-- isexe@1.1.1
  | | +-- wrappy@1.0.1
  | | `-- write-file-atomic@1.1.4
  | +-- ora@0.2.3
  | | `-- cli-spinners@0.1.2
  | +-- portfinder@1.0.5
  | | `-- async@1.5.2
  | +-- promise-map-series@0.2.2
  | +-- quick-temp@0.1.5
  | | +-- mktemp@0.3.5
  | | +-- rimraf@2.2.8
  | | `-- underscore.string@2.3.3
  | +-- readline2@0.1.1
  | | +-- mute-stream@0.0.4
  | | `-- strip-ansi@2.0.1
  | |   `-- ansi-regex@1.1.1
  | +-- rsvp@3.2.1
  | +-- sane@1.4.0
  | | +-- exec-sh@0.2.0
  | | | `-- merge@1.2.0
  | | +-- fb-watchman@1.9.0
  | | | `-- bser@1.0.2
  | | |   `-- node-int64@0.4.0
  | | +-- minimist@1.2.0
  | | +-- walker@1.0.7
  | | | `-- makeerror@1.0.11
  | | |   `-- tmpl@1.0.4
  | | `-- watch@0.10.0
  | +-- semver@5.2.0
  | +-- temp@0.8.3
  | | `-- rimraf@2.2.8
  | +-- testem@1.10.2
  | | +-- backbone@1.3.3
  | | | `-- underscore@1.8.3
  | | +-- bluebird@3.4.1
  | | +-- charm@1.0.1
  | | +-- consolidate@0.14.1
  | | | `-- bluebird@3.4.1
  | | +-- cross-spawn@4.0.0
  | | +-- did_it_work@0.0.6
  | | +-- fireworm@0.7.1
  | | | +-- is-type@0.0.1
  | | | +-- lodash.debounce@3.1.1
  | | | `-- lodash.flatten@3.0.2
  | | |   `-- lodash._baseflatten@3.1.4
  | | +-- js-yaml@3.6.1
  | | +-- mustache@2.2.1
  | | +-- node-notifier@4.6.0
  | | | +-- cli-usage@0.1.2
  | | | | +-- marked-terminal@1.6.1
  | | | | | `-- node-emoji@0.1.0
  | | | | `-- minimist@0.2.0
  | | | +-- growly@1.3.0
  | | | +-- lodash.clonedeep@3.0.2
  | | | | `-- lodash._baseclone@3.3.0
  | | | +-- minimist@1.2.0
  | | | `-- shellwords@0.1.0
  | | +-- npmlog@4.0.0
  | | | +-- are-we-there-yet@1.1.2
  | | | | `-- delegates@1.0.0
  | | | +-- console-control-strings@1.1.0
  | | | `-- gauge@2.6.0
  | | |   +-- aproba@1.0.4
  | | |   +-- has-color@0.1.7
  | | |   +-- has-unicode@2.0.1
  | | |   `-- wide-align@1.1.0
  | | +-- printf@0.2.5
  | | +-- socket.io@1.4.7
  | | | +-- engine.io@1.6.10
  | | | | +-- accepts@1.1.4
  | | | | | +-- mime-types@2.0.14
  | | | | | | `-- mime-db@1.12.0
  | | | | | `-- negotiator@0.4.9
  | | | | +-- base64id@0.1.0
  | | | | `-- engine.io-parser@1.2.4
  | | | |   +-- after@0.8.1
  | | | |   +-- arraybuffer.slice@0.0.6
  | | | |   +-- base64-arraybuffer@0.1.2
  | | | |   +-- blob@0.0.4
  | | | |   +-- has-binary@0.1.6
  | | | |   | `-- isarray@0.0.1
  | | | |   `-- utf8@2.1.0
  | | | +-- has-binary@0.1.7
  | | | | `-- isarray@0.0.1
  | | | +-- socket.io-adapter@0.4.0
  | | | | `-- socket.io-parser@2.2.2
  | | | |   +-- debug@0.7.4
  | | | |   +-- isarray@0.0.1
  | | | |   `-- json3@3.2.6
  | | | +-- socket.io-client@1.4.6
  | | | | +-- backo2@1.0.2
  | | | | +-- component-bind@1.0.0
  | | | | +-- component-emitter@1.2.0
  | | | | +-- engine.io-client@1.6.9
  | | | | | +-- component-inherit@0.0.3
  | | | | | +-- has-cors@1.1.0
  | | | | | +-- parsejson@0.0.1
  | | | | | +-- parseqs@0.0.2
  | | | | | +-- xmlhttprequest-ssl@1.5.1
  | | | | | `-- yeast@0.1.2
  | | | | +-- object-component@0.0.3
  | | | | +-- parseuri@0.0.4
  | | | | | `-- better-assert@1.0.2
  | | | | |   `-- callsite@1.0.0
  | | | | `-- to-array@0.1.4
  | | | `-- socket.io-parser@2.2.6
  | | |   +-- benchmark@1.0.0
  | | |   +-- component-emitter@1.1.2
  | | |   +-- isarray@0.0.1
  | | |   `-- json3@3.3.2
  | | +-- styled_string@0.0.1
  | | +-- tap-parser@1.2.2
  | | | `-- events-to-array@1.0.2
  | | `-- xmldom@0.1.22
  | +-- through@2.3.8
  | +-- tiny-lr@0.2.1
  | | +-- body-parser@1.14.2
  | | | +-- bytes@2.2.0
  | | | +-- http-errors@1.3.1
  | | | +-- iconv-lite@0.4.13
  | | | +-- qs@5.2.0
  | | | `-- raw-body@2.1.7
  | | |   `-- bytes@2.4.0
  | | +-- faye-websocket@0.10.0
  | | | `-- websocket-driver@0.6.5
  | | |   `-- websocket-extensions@0.1.1
  | | +-- livereload-js@2.2.2
  | | `-- qs@5.1.0
  | +-- tree-sync@1.1.3
  | | `-- fs-tree-diff@0.5.1
  | +-- walk-sync@0.2.7
  | | `-- matcher-collection@1.0.2
  | `-- yam@0.0.18
  |   +-- fs-extra@0.16.5
  |   | `-- graceful-fs@3.0.8
  |   `-- lodash.merge@3.3.2
  +-- ember-cli-string-utils@1.0.0
  +-- enhanced-resolve@2.2.2
  | +-- graceful-fs@4.1.5
  | +-- memory-fs@0.3.0
  | | `-- readable-stream@2.1.4
  | |   +-- buffer-shims@1.0.0
  | |   +-- core-util-is@1.0.2
  | |   +-- isarray@1.0.0
  | |   `-- process-nextick-args@1.0.7
  | `-- tapable@0.2.4
  +-- exit@0.1.2
  +-- exports-loader@0.6.3
  | `-- source-map@0.1.32
  +-- expose-loader@0.7.1
  +-- file-loader@0.8.5
  +-- fs-extra@0.30.0
  | +-- jsonfile@2.3.1
  | +-- klaw@1.3.0
  | `-- path-is-absolute@1.0.0
  +-- glob@7.0.5
  | +-- fs.realpath@1.0.0
  | +-- inflight@1.0.5
  | | `-- wrappy@1.0.2
  | +-- inherits@2.0.1
  | `-- once@1.3.3
  +-- handlebars@4.0.5
  | +-- async@1.5.2
  | +-- optimist@0.6.1
  | | `-- wordwrap@0.0.3
  | +-- source-map@0.4.4
  | `-- uglify-js@2.7.0
  |   +-- source-map@0.5.6
  |   +-- uglify-to-browserify@1.0.2
  |   `-- yargs@3.10.0
  |     +-- camelcase@1.2.1
  |     +-- cliui@2.1.0
  |     | +-- center-align@0.1.3
  |     | | +-- align-text@0.1.4
  |     | | | +-- longest@1.0.1
  |     | | | `-- repeat-string@1.5.4
  |     | | `-- lazy-cache@1.0.4
  |     | +-- right-align@0.1.3
  |     | `-- wordwrap@0.0.2
  |     `-- window-size@0.1.0
  +-- html-webpack-plugin@2.22.0
  | +-- bluebird@3.4.1
  | +-- html-minifier@2.1.7
  | | +-- change-case@3.0.0
  | | | +-- camel-case@3.0.0
  | | | +-- constant-case@2.0.0
  | | | +-- dot-case@2.1.0
  | | | +-- header-case@1.0.0
  | | | +-- is-lower-case@1.1.3
  | | | +-- is-upper-case@1.1.2
  | | | +-- lower-case@1.1.3
  | | | +-- lower-case-first@1.0.2
  | | | +-- no-case@2.3.0
  | | | +-- param-case@2.1.0
  | | | +-- pascal-case@2.0.0
  | | | +-- path-case@2.1.0
  | | | +-- sentence-case@2.1.0
  | | | +-- snake-case@2.1.0
  | | | +-- swap-case@1.1.2
  | | | +-- title-case@2.1.0
  | | | +-- upper-case@1.1.3
  | | | `-- upper-case-first@1.1.2
  | | +-- clean-css@3.4.19
  | | | +-- commander@2.8.1
  | | | `-- source-map@0.4.4
  | | +-- he@1.1.0
  | | +-- ncname@1.0.0
  | | | `-- xml-char-classes@1.0.0
  | | +-- relateurl@0.2.7
  | | `-- uglify-js@2.6.4
  | |   +-- source-map@0.5.6
  | |   `-- yargs@3.10.0
  | |     `-- window-size@0.1.0
  | +-- pretty-error@2.0.0
  | | +-- renderkid@2.0.0
  | | | +-- css-select@1.2.0
  | | | | +-- boolbase@1.0.0
  | | | | +-- css-what@2.1.0
  | | | | +-- domutils@1.5.1
  | | | | | `-- dom-serializer@0.1.0
  | | | | |   `-- domelementtype@1.1.3
  | | | | `-- nth-check@1.0.1
  | | | +-- dom-converter@0.1.4
  | | | | `-- utila@0.3.3
  | | | +-- htmlparser2@3.3.0
  | | | | +-- domelementtype@1.3.0
  | | | | +-- domhandler@2.1.0
  | | | | +-- domutils@1.1.6
  | | | | `-- readable-stream@1.0.34
  | | | |   `-- isarray@0.0.1
  | | | `-- utila@0.3.3
  | | `-- utila@0.4.0
  | `-- toposort@1.0.0
  +-- istanbul-instrumenter-loader@0.2.0
  | `-- istanbul@0.4.4
  |   +-- async@1.5.2
  |   +-- escodegen@1.8.0
  |   | +-- estraverse@1.9.3
  |   | +-- optionator@0.8.1
  |   | | +-- deep-is@0.1.3
  |   | | +-- fast-levenshtein@1.1.4
  |   | | +-- levn@0.3.0
  |   | | +-- prelude-ls@1.1.2
  |   | | +-- type-check@0.3.2
  |   | | `-- wordwrap@1.0.0
  |   | `-- source-map@0.2.0
  |   +-- esprima@2.7.2
  |   +-- fileset@0.2.1
  |   | +-- glob@5.0.15
  |   | `-- minimatch@2.0.10
  |   +-- supports-color@3.1.2
  |   +-- which@1.2.10
  |   | `-- isexe@1.1.2
  |   `-- wordwrap@1.0.0
  +-- json-loader@0.5.4
  +-- karma-sourcemap-loader@0.3.7
  +-- karma-webpack@1.7.0
  | +-- async@0.9.2
  | +-- lodash@3.10.1
  | +-- source-map@0.1.43
  | `-- webpack-dev-middleware@1.6.1
  +-- leek@0.0.21
  | +-- lodash.assign@3.2.0
  | | +-- lodash._baseassign@3.2.0
  | | | `-- lodash._basecopy@3.0.1
  | | +-- lodash._createassigner@3.1.1
  | | | +-- lodash._bindcallback@3.0.1
  | | | +-- lodash._isiterateecall@3.0.9
  | | | `-- lodash.restparam@3.6.1
  | | `-- lodash.keys@3.1.2
  | `-- request@2.74.0
  |   +-- aws-sign2@0.6.0
  |   +-- aws4@1.4.1
  |   +-- bl@1.1.2
  |   | `-- readable-stream@2.0.6
  |   +-- caseless@0.11.0
  |   +-- combined-stream@1.0.5
  |   | `-- delayed-stream@1.0.0
  |   +-- extend@3.0.0
  |   +-- forever-agent@0.6.1
  |   +-- form-data@1.0.0-rc4
  |   | `-- async@1.5.2
  |   +-- har-validator@2.0.6
  |   | `-- is-my-json-valid@2.13.1
  |   |   +-- generate-function@2.0.0
  |   |   +-- generate-object-property@1.2.0
  |   |   | `-- is-property@1.0.2
  |   |   `-- jsonpointer@2.0.0
  |   +-- hawk@3.1.3
  |   | +-- boom@2.10.1
  |   | +-- cryptiles@2.0.5
  |   | +-- hoek@2.16.3
  |   | `-- sntp@1.0.9
  |   +-- http-signature@1.1.1
  |   | +-- assert-plus@0.2.0
  |   | +-- jsprim@1.3.0
  |   | | +-- extsprintf@1.0.2
  |   | | +-- json-schema@0.2.2
  |   | | `-- verror@1.3.6
  |   | `-- sshpk@1.9.2
  |   |   +-- asn1@0.2.3
  |   |   +-- assert-plus@1.0.0
  |   |   +-- dashdash@1.14.0
  |   |   | `-- assert-plus@1.0.0
  |   |   +-- ecc-jsbn@0.1.1
  |   |   +-- getpass@0.1.6
  |   |   | `-- assert-plus@1.0.0
  |   |   +-- jodid25519@1.0.2
  |   |   +-- jsbn@0.1.0
  |   |   `-- tweetnacl@0.13.3
  |   +-- is-typedarray@1.0.0
  |   +-- isstream@0.1.2
  |   +-- json-stringify-safe@5.0.1
  |   +-- mime-types@2.1.11
  |   +-- oauth-sign@0.8.2
  |   +-- qs@6.2.1
  |   +-- stringstream@0.0.5
  |   +-- tough-cookie@2.3.1
  |   `-- tunnel-agent@0.4.3
  +-- less@2.7.1
  | +-- errno@0.1.4
  | | `-- prr@0.0.0
  | +-- image-size@0.5.0
  | +-- mime@1.3.4
  | +-- promise@7.1.1
  | | `-- asap@2.0.4
  | `-- source-map@0.5.6
  +-- less-loader@2.2.3
  +-- lodash@4.14.1
  +-- node-sass@3.8.0
  | +-- async-foreach@0.1.3
  | +-- cross-spawn@3.0.1
  | | `-- lru-cache@4.0.1
  | |   +-- pseudomap@1.0.2
  | |   `-- yallist@2.0.0
  | +-- gaze@1.1.1
  | | `-- globule@1.0.0
  | |   `-- lodash@4.9.0
  | +-- get-stdin@4.0.1
  | +-- in-publish@2.0.0
  | +-- lodash.clonedeep@4.4.1
  | +-- meow@3.7.0
  | | +-- camelcase-keys@2.1.0
  | | | `-- camelcase@2.1.1
  | | +-- loud-rejection@1.6.0
  | | | +-- currently-unhandled@0.4.1
  | | | | `-- array-find-index@1.0.1
  | | | `-- signal-exit@3.0.0
  | | +-- map-obj@1.0.1
  | | +-- minimist@1.2.0
  | | +-- normalize-package-data@2.3.5
  | | | +-- hosted-git-info@2.1.5
  | | | +-- is-builtin-module@1.0.0
  | | | | `-- builtin-modules@1.1.1
  | | | `-- validate-npm-package-license@3.0.1
  | | |   +-- spdx-correct@1.0.2
  | | |   | `-- spdx-license-ids@1.2.2
  | | |   `-- spdx-expression-parse@1.0.2
  | | |     `-- spdx-exceptions@1.0.5
  | | +-- read-pkg-up@1.0.1
  | | | +-- find-up@1.1.2
  | | | | `-- path-exists@2.1.0
  | | | `-- read-pkg@1.1.0
  | | |   +-- load-json-file@1.1.0
  | | |   | +-- parse-json@2.2.0
  | | |   | | `-- error-ex@1.3.0
  | | |   | |   `-- is-arrayish@0.2.1
  | | |   | +-- pify@2.3.0
  | | |   | `-- strip-bom@2.0.0
  | | |   |   `-- is-utf8@0.2.1
  | | |   `-- path-type@1.1.0
  | | +-- redent@1.0.0
  | | | +-- indent-string@2.1.0
  | | | | `-- repeating@2.0.1
  | | | `-- strip-indent@1.0.1
  | | `-- trim-newlines@1.0.0
  | +-- nan@2.4.0
  | +-- node-gyp@3.4.0
  | | +-- fstream@1.0.10
  | | +-- npmlog@3.1.2
  | | +-- path-array@1.0.1
  | | | `-- array-index@1.0.0
  | | |   `-- es6-symbol@3.1.0
  | | |     +-- d@0.1.1
  | | |     `-- es5-ext@0.10.12
  | | |       `-- es6-iterator@2.0.0
  | | `-- tar@2.2.1
  | |   `-- block-stream@0.0.9
  | `-- sass-graph@2.1.2
  |   `-- yargs@4.8.1
  |     +-- cliui@3.2.0
  |     +-- lodash.assign@4.1.0
  |     `-- window-size@0.2.0
  +-- npm@3.10.2
  | +-- abbrev@1.0.9
  | +-- ansi-regex@2.0.0
  | +-- ansicolors@0.3.2
  | +-- ansistyles@0.1.3
  | +-- aproba@1.0.3
  | +-- archy@1.0.0
  | +-- asap@2.0.4
  | +-- chownr@1.0.1
  | +-- cmd-shim@2.0.2
  | +-- columnify@1.5.4
  | | `-- wcwidth@1.0.0
  | |   `-- defaults@1.0.3
  | |     `-- clone@1.0.2
  | +-- config-chain@1.1.10
  | | `-- proto-list@1.2.4
  | +-- debuglog@1.0.1
  | +-- dezalgo@1.0.3
  | +-- editor@1.0.0
  | +-- fs-vacuum@1.2.9
  | +-- fs-write-stream-atomic@1.0.8
  | +-- fstream@1.0.10
  | +-- fstream-npm@1.1.0
  | | `-- fstream-ignore@1.0.5
  | |   `-- minimatch@3.0.0
  | |     `-- brace-expansion@1.1.4
  | |       +-- balanced-match@0.4.1
  | |       `-- concat-map@0.0.1
  | +-- glob@7.0.4
  | | +-- fs.realpath@1.0.0
  | | +-- minimatch@3.0.0
  | | | `-- brace-expansion@1.1.5
  | | |   +-- balanced-match@0.4.1
  | | |   `-- concat-map@0.0.1
  | | `-- path-is-absolute@1.0.0
  | +-- graceful-fs@4.1.4
  | +-- has-unicode@2.0.0
  | +-- hosted-git-info@2.1.5
  | +-- iferr@0.1.5
  | +-- imurmurhash@0.1.4
  | +-- inflight@1.0.5
  | +-- inherits@2.0.1
  | +-- ini@1.3.4
  | +-- init-package-json@1.9.4
  | | +-- glob@6.0.4
  | | | +-- minimatch@3.0.0
  | | | | `-- brace-expansion@1.1.4
  | | | |   +-- balanced-match@0.4.1
  | | | |   `-- concat-map@0.0.1
  | | | `-- path-is-absolute@1.0.0
  | | `-- promzard@0.3.0
  | +-- lockfile@1.0.1
  | +-- lodash._baseindexof@3.1.0
  | +-- lodash._baseuniq@4.6.0
  | | +-- lodash._createset@4.0.3
  | | `-- lodash._root@3.0.1
  | +-- lodash._bindcallback@3.0.1
  | +-- lodash._cacheindexof@3.0.2
  | +-- lodash._createcache@3.1.2
  | +-- lodash._getnative@3.9.1
  | +-- lodash.clonedeep@4.3.2
  | | `-- lodash._baseclone@4.5.3
  | +-- lodash.restparam@3.6.1
  | +-- lodash.union@4.4.0
  | | +-- lodash._baseflatten@4.2.1
  | | `-- lodash.rest@4.0.3
  | +-- lodash.uniq@4.3.0
  | +-- lodash.without@4.2.0
  | | +-- lodash._basedifference@4.5.0
  | | | `-- lodash._root@3.0.1
  | | `-- lodash.rest@4.0.3
  | +-- mkdirp@0.5.1
  | | `-- minimist@0.0.8
  | +-- node-gyp@3.3.1
  | | +-- glob@4.5.3
  | | | `-- minimatch@2.0.10
  | | |   `-- brace-expansion@1.1.3
  | | |     +-- balanced-match@0.3.0
  | | |     `-- concat-map@0.0.1
  | | +-- minimatch@1.0.0
  | | | +-- lru-cache@2.7.3
  | | | `-- sigmund@1.0.1
  | | +-- npmlog@2.0.4
  | | | +-- ansi@0.3.1
  | | | +-- are-we-there-yet@1.1.2
  | | | | `-- delegates@1.0.0
  | | | `-- gauge@1.2.7
  | | |   +-- lodash.pad@4.4.0
  | | |   | +-- lodash._baseslice@4.0.0
  | | |   | +-- lodash._basetostring@4.12.0
  | | |   | `-- lodash.tostring@4.1.3
  | | |   +-- lodash.padend@4.5.0
  | | |   | +-- lodash._baseslice@4.0.0
  | | |   | +-- lodash._basetostring@4.12.0
  | | |   | `-- lodash.tostring@4.1.3
  | | |   `-- lodash.padstart@4.5.0
  | | |     +-- lodash._baseslice@4.0.0
  | | |     +-- lodash._basetostring@4.12.0
  | | |     `-- lodash.tostring@4.1.3
  | | `-- path-array@1.0.1
  | |   `-- array-index@1.0.0
  | |     +-- debug@2.2.0
  | |     | `-- ms@0.7.1
  | |     `-- es6-symbol@3.0.2
  | |       +-- d@0.1.1
  | |       `-- es5-ext@0.10.11
  | |         `-- es6-iterator@2.0.0
  | +-- nopt@3.0.6
  | +-- normalize-git-url@3.0.2
  | +-- normalize-package-data@2.3.5
  | | `-- is-builtin-module@1.0.0
  | |   `-- builtin-modules@1.1.1
  | +-- npm-cache-filename@1.0.2
  | +-- npm-install-checks@3.0.0
  | +-- npm-package-arg@4.2.0
  | +-- npm-registry-client@7.1.2
  | | +-- concat-stream@1.5.1
  | | | +-- readable-stream@2.0.6
  | | | | +-- core-util-is@1.0.2
  | | | | +-- isarray@1.0.0
  | | | | +-- process-nextick-args@1.0.7
  | | | | +-- string_decoder@0.10.31
  | | | | `-- util-deprecate@1.0.2
  | | | `-- typedarray@0.0.6
  | | `-- retry@0.8.0
  | +-- npm-user-validate@0.1.4
  | +-- npmlog@3.1.2
  | | +-- are-we-there-yet@1.1.2
  | | | `-- delegates@1.0.0
  | | +-- console-control-strings@1.1.0
  | | +-- gauge@2.6.0
  | | | +-- has-color@0.1.7
  | | | +-- object-assign@4.1.0
  | | | +-- signal-exit@3.0.0
  | | | +-- string-width@1.0.1
  | | | | +-- code-point-at@1.0.0
  | | | | | `-- number-is-nan@1.0.0
  | | | | `-- is-fullwidth-code-point@1.0.0
  | | | |   `-- number-is-nan@1.0.0
  | | | `-- wide-align@1.1.0
  | | `-- set-blocking@2.0.0
  | +-- once@1.3.3
  | +-- opener@1.4.1
  | +-- osenv@0.1.3
  | | +-- os-homedir@1.0.1
  | | `-- os-tmpdir@1.0.1
  | +-- path-is-inside@1.0.1
  | +-- read@1.0.7
  | | `-- mute-stream@0.0.5
  | +-- read-cmd-shim@1.0.1
  | +-- read-installed@4.0.3
  | | `-- util-extend@1.0.3
  | +-- read-package-json@2.0.4
  | | +-- glob@6.0.4
  | | | +-- minimatch@3.0.0
  | | | | `-- brace-expansion@1.1.3
  | | | |   +-- balanced-match@0.3.0
  | | | |   `-- concat-map@0.0.1
  | | | `-- path-is-absolute@1.0.0
  | | `-- json-parse-helpfulerror@1.0.3
  | |   `-- jju@1.3.0
  | +-- read-package-tree@5.1.4
  | +-- readable-stream@2.1.4
  | | +-- buffer-shims@1.0.0
  | | +-- core-util-is@1.0.2
  | | +-- isarray@1.0.0
  | | +-- process-nextick-args@1.0.7
  | | +-- string_decoder@0.10.31
  | | `-- util-deprecate@1.0.2
  | +-- readdir-scoped-modules@1.0.2
  | +-- realize-package-specifier@3.0.3
  | +-- request@2.72.0
  | | +-- aws-sign2@0.6.0
  | | +-- aws4@1.3.2
  | | | `-- lru-cache@4.0.1
  | | |   +-- pseudomap@1.0.2
  | | |   `-- yallist@2.0.0
  | | +-- bl@1.1.2
  | | | `-- readable-stream@2.0.6
  | | |   +-- core-util-is@1.0.2
  | | |   +-- isarray@1.0.0
  | | |   +-- process-nextick-args@1.0.6
  | | |   +-- string_decoder@0.10.31
  | | |   `-- util-deprecate@1.0.2
  | | +-- caseless@0.11.0
  | | +-- combined-stream@1.0.5
  | | | `-- delayed-stream@1.0.0
  | | +-- extend@3.0.0
  | | +-- forever-agent@0.6.1
  | | +-- form-data@1.0.0-rc4
  | | | `-- async@1.5.2
  | | +-- har-validator@2.0.6
  | | | +-- chalk@1.1.3
  | | | | +-- ansi-styles@2.2.1
  | | | | +-- escape-string-regexp@1.0.5
  | | | | +-- has-ansi@2.0.0
  | | | | `-- supports-color@2.0.0
  | | | +-- commander@2.9.0
  | | | | `-- graceful-readlink@1.0.1
  | | | +-- is-my-json-valid@2.13.1
  | | | | +-- generate-function@2.0.0
  | | | | +-- generate-object-property@1.2.0
  | | | | | `-- is-property@1.0.2
  | | | | +-- jsonpointer@2.0.0
  | | | | `-- xtend@4.0.1
  | | | `-- pinkie-promise@2.0.1
  | | |   `-- pinkie@2.0.4
  | | +-- hawk@3.1.3
  | | | +-- boom@2.10.1
  | | | +-- cryptiles@2.0.5
  | | | +-- hoek@2.16.3
  | | | `-- sntp@1.0.9
  | | +-- http-signature@1.1.1
  | | | +-- assert-plus@0.2.0
  | | | +-- jsprim@1.2.2
  | | | | +-- extsprintf@1.0.2
  | | | | +-- json-schema@0.2.2
  | | | | `-- verror@1.3.6
  | | | `-- sshpk@1.7.4
  | | |   +-- asn1@0.2.3
  | | |   +-- dashdash@1.13.0
  | | |   | `-- assert-plus@1.0.0
  | | |   +-- ecc-jsbn@0.1.1
  | | |   +-- jodid25519@1.0.2
  | | |   +-- jsbn@0.1.0
  | | |   `-- tweetnacl@0.14.3
  | | +-- is-typedarray@1.0.0
  | | +-- isstream@0.1.2
  | | +-- json-stringify-safe@5.0.1
  | | +-- mime-types@2.1.10
  | | | `-- mime-db@1.22.0
  | | +-- node-uuid@1.4.7
  | | +-- oauth-sign@0.8.1
  | | +-- qs@6.1.0
  | | +-- stringstream@0.0.5
  | | +-- tough-cookie@2.2.2
  | | `-- tunnel-agent@0.4.2
  | +-- retry@0.9.0
  | +-- rimraf@2.5.2
  | +-- semver@5.1.0
  | +-- sha@2.0.1
  | +-- slide@1.1.6
  | +-- sorted-object@2.0.0
  | +-- strip-ansi@3.0.1
  | +-- tar@2.2.1
  | | `-- block-stream@0.0.8
  | +-- text-table@0.2.0
  | +-- uid-number@0.0.6
  | +-- umask@1.1.0
  | +-- unique-filename@1.1.0
  | | `-- unique-slug@2.0.0
  | +-- unpipe@1.0.0
  | +-- validate-npm-package-license@3.0.1
  | | +-- spdx-correct@1.0.2
  | | | `-- spdx-license-ids@1.2.0
  | | `-- spdx-expression-parse@1.0.2
  | |   +-- spdx-exceptions@1.0.4
  | |   `-- spdx-license-ids@1.2.0
  | +-- validate-npm-package-name@2.2.2
  | | `-- builtins@0.0.7
  | +-- which@1.2.10
  | | `-- isexe@1.1.2
  | +-- wrappy@1.0.2
  | `-- write-file-atomic@1.1.4
  +-- offline-plugin@3.4.2
  | +-- deep-extend@0.4.1
  | +-- ejs@2.5.1
  | `-- es6-promise@3.2.1
  +-- opn@4.0.1
  | `-- pinkie-promise@2.0.1
  |   `-- pinkie@2.0.4
  +-- parse5@2.1.5
  +-- phantomjs-polyfill@0.0.2
  +-- phantomjs-prebuilt@2.1.10
  | +-- extract-zip@1.5.0
  | | +-- concat-stream@1.5.0
  | | | +-- inherits@2.0.1
  | | | +-- readable-stream@2.0.6
  | | | | +-- core-util-is@1.0.2
  | | | | +-- isarray@1.0.0
  | | | | +-- process-nextick-args@1.0.7
  | | | | +-- string_decoder@0.10.31
  | | | | `-- util-deprecate@1.0.2
  | | | `-- typedarray@0.0.6
  | | +-- debug@0.7.4
  | | +-- mkdirp@0.5.0
  | | | `-- minimist@0.0.8
  | | `-- yauzl@2.4.1
  | |   `-- fd-slicer@1.0.1
  | |     `-- pend@1.2.0
  | +-- fs-extra@0.30.0
  | | +-- graceful-fs@4.1.4
  | | +-- jsonfile@2.3.1
  | | +-- klaw@1.3.0
  | | +-- path-is-absolute@1.0.0
  | | `-- rimraf@2.5.4
  | |   `-- glob@7.0.5
  | |     +-- fs.realpath@1.0.0
  | |     +-- inflight@1.0.5
  | |     | `-- wrappy@1.0.2
  | |     +-- inherits@2.0.1
  | |     +-- minimatch@3.0.2
  | |     | `-- brace-expansion@1.1.6
  | |     |   +-- balanced-match@0.4.2
  | |     |   `-- concat-map@0.0.1
  | |     `-- once@1.3.3
  | |       `-- wrappy@1.0.2
  | +-- hasha@2.2.0
  | | +-- is-stream@1.1.0
  | | `-- pinkie-promise@2.0.1
  | |   `-- pinkie@2.0.4
  | +-- kew@0.7.0
  | +-- progress@1.1.8
  | +-- request@2.74.0
  | | +-- aws-sign2@0.6.0
  | | +-- aws4@1.4.1
  | | +-- bl@1.1.2
  | | | `-- readable-stream@2.0.6
  | | |   +-- core-util-is@1.0.2
  | | |   +-- inherits@2.0.1
  | | |   +-- isarray@1.0.0
  | | |   +-- process-nextick-args@1.0.7
  | | |   +-- string_decoder@0.10.31
  | | |   `-- util-deprecate@1.0.2
  | | +-- caseless@0.11.0
  | | +-- combined-stream@1.0.5
  | | | `-- delayed-stream@1.0.0
  | | +-- extend@3.0.0
  | | +-- forever-agent@0.6.1
  | | +-- form-data@1.0.0-rc4
  | | | `-- async@1.5.2
  | | +-- har-validator@2.0.6
  | | | +-- chalk@1.1.3
  | | | | +-- ansi-styles@2.2.1
  | | | | +-- escape-string-regexp@1.0.5
  | | | | +-- has-ansi@2.0.0
  | | | | | `-- ansi-regex@2.0.0
  | | | | +-- strip-ansi@3.0.1
  | | | | | `-- ansi-regex@2.0.0
  | | | | `-- supports-color@2.0.0
  | | | +-- commander@2.9.0
  | | | | `-- graceful-readlink@1.0.1
  | | | +-- is-my-json-valid@2.13.1
  | | | | +-- generate-function@2.0.0
  | | | | +-- generate-object-property@1.2.0
  | | | | | `-- is-property@1.0.2
  | | | | +-- jsonpointer@2.0.0
  | | | | `-- xtend@4.0.1
  | | | `-- pinkie-promise@2.0.1
  | | |   `-- pinkie@2.0.4
  | | +-- hawk@3.1.3
  | | | +-- boom@2.10.1
  | | | +-- cryptiles@2.0.5
  | | | +-- hoek@2.16.3
  | | | `-- sntp@1.0.9
  | | +-- http-signature@1.1.1
  | | | +-- assert-plus@0.2.0
  | | | +-- jsprim@1.3.0
  | | | | +-- extsprintf@1.0.2
  | | | | +-- json-schema@0.2.2
  | | | | `-- verror@1.3.6
  | | | `-- sshpk@1.8.3
  | | |   +-- asn1@0.2.3
  | | |   +-- assert-plus@1.0.0
  | | |   +-- dashdash@1.14.0
  | | |   +-- ecc-jsbn@0.1.1
  | | |   +-- getpass@0.1.6
  | | |   +-- jodid25519@1.0.2
  | | |   +-- jsbn@0.1.0
  | | |   `-- tweetnacl@0.13.3
  | | +-- is-typedarray@1.0.0
  | | +-- isstream@0.1.2
  | | +-- json-stringify-safe@5.0.1
  | | +-- mime-types@2.1.11
  | | | `-- mime-db@1.23.0
  | | +-- node-uuid@1.4.7
  | | +-- oauth-sign@0.8.2
  | | +-- qs@6.2.1
  | | +-- stringstream@0.0.5
  | | +-- tough-cookie@2.3.0
  | | `-- tunnel-agent@0.4.3
  | +-- request-progress@2.0.1
  | | `-- throttleit@1.0.0
  | `-- which@1.2.10
  |   `-- isexe@1.1.2
  +-- postcss-loader@0.9.1
  +-- protractor@3.3.0
  | +-- adm-zip@0.4.7
  | +-- glob@6.0.4
  | +-- jasmine@2.4.1
  | | +-- glob@3.2.11
  | | | `-- minimatch@0.3.0
  | | |   +-- lru-cache@2.7.3
  | | |   `-- sigmund@1.0.1
  | | `-- jasmine-core@2.4.1
  | +-- jasminewd2@0.0.9
  | +-- q@1.4.1
  | +-- request@2.67.0
  | | +-- bl@1.0.3
  | | | `-- readable-stream@2.0.6
  | | +-- qs@5.2.1
  | | `-- tough-cookie@2.2.2
  | +-- saucelabs@1.0.1
  | | `-- https-proxy-agent@1.0.0
  | |   `-- agent-base@2.0.1
  | |     `-- semver@5.0.3
  | `-- selenium-webdriver@2.52.0
  |   +-- adm-zip@0.4.4
  |   +-- tmp@0.0.24
  |   +-- ws@1.0.1
  |   | +-- options@0.0.6
  |   | `-- ultron@1.0.2
  |   `-- xml2js@0.4.4
  |     +-- sax@0.6.1
  |     `-- xmlbuilder@8.2.2
  +-- raw-loader@0.5.1
  +-- remap-istanbul@0.6.4
  | +-- amdefine@1.0.0
  | +-- gulp-util@3.0.7
  | | +-- array-differ@1.0.0
  | | +-- array-uniq@1.0.3
  | | +-- beeper@1.1.0
  | | +-- dateformat@1.0.12
  | | +-- fancy-log@1.2.0
  | | | `-- time-stamp@1.0.1
  | | +-- gulplog@1.0.0
  | | | `-- glogg@1.0.0
  | | +-- has-gulplog@0.1.0
  | | | `-- sparkles@1.0.0
  | | +-- lodash._reescape@3.0.0
  | | +-- lodash._reevaluate@3.0.0
  | | +-- lodash._reinterpolate@3.0.0
  | | +-- lodash.template@3.6.2
  | | | +-- lodash._basetostring@3.0.1
  | | | +-- lodash._basevalues@3.0.0
  | | | +-- lodash.escape@3.2.0
  | | | `-- lodash.templatesettings@3.1.1
  | | +-- minimist@1.2.0
  | | +-- multipipe@0.1.2
  | | | `-- duplexer2@0.0.2
  | | |   `-- readable-stream@1.1.14
  | | |     `-- isarray@0.0.1
  | | +-- object-assign@3.0.0
  | | +-- replace-ext@0.0.1
  | | `-- vinyl@0.5.3
  | |   `-- clone-stats@0.0.1
  | +-- istanbul@0.4.3
  | | +-- async@1.5.2
  | | +-- supports-color@3.1.2
  | | `-- wordwrap@1.0.0
  | +-- source-map@0.5.6
  | `-- through2@2.0.1
  |   +-- readable-stream@2.0.6
  |   `-- xtend@4.0.1
  +-- resolve@1.1.7
  +-- rimraf@2.5.4
  +-- sass-loader@3.2.3
  | `-- async@1.5.2
  +-- shelljs@0.7.3
  | +-- interpret@1.0.1
  | `-- rechoir@0.6.2
  +-- silent-error@1.0.0
  +-- source-map-loader@0.1.5
  | +-- async@0.9.2
  | `-- source-map@0.1.43
  +-- sourcemap-istanbul-instrumenter-loader@0.2.0
  +-- style-loader@0.13.1
  +-- stylus@0.54.5
  | +-- css-parse@1.7.0
  | `-- sax@0.5.8
  +-- stylus-loader@2.1.2
  | `-- when@3.6.4
  +-- symlink-or-copy@1.1.5
  | +-- fs-extra@0.28.0
  | `-- mktemp@0.4.0
  +-- ts-helpers@1.1.1
  +-- ts-loader@0.8.2
  | +-- arrify@1.0.1
  | +-- enhanced-resolve@0.9.1
  | | +-- memory-fs@0.2.0
  | | `-- tapable@0.1.10
  | `-- object-assign@2.1.1
  +-- tslint@3.14.0
  | +-- findup-sync@0.3.0
  | | `-- glob@5.0.15
  | `-- underscore.string@3.3.4
  |   +-- sprintf-js@1.0.3
  |   `-- util-deprecate@1.0.2
  +-- tslint-loader@2.1.5
  | `-- strip-json-comments@1.0.4
  +-- typedoc@0.4.4
  | +-- highlight.js@9.5.0
  | +-- marked@0.3.6
  | +-- progress@1.1.8
  | +-- typedoc-default-themes@0.4.0
  | `-- typescript@1.8.10
  +-- typescript@2.0.0
  +-- url-loader@0.5.7
  | `-- mime@1.2.11
  +-- UNMET PEER DEPENDENCY webpack@2.1.0-beta.18
  | +-- acorn@3.3.0
  | +-- async@1.5.2
  | +-- clone@1.0.2
  | +-- loader-runner@2.1.1
  | +-- node-libs-browser@1.0.0
  | | +-- assert@1.4.1
  | | +-- browserify-zlib@0.1.4
  | | | `-- pako@0.2.9
  | | +-- buffer@4.7.1
  | | | +-- base64-js@1.1.2
  | | | `-- ieee754@1.1.6
  | | +-- console-browserify@1.1.0
  | | | `-- date-now@0.1.4
  | | +-- constants-browserify@1.0.0
  | | +-- crypto-browserify@3.11.0
  | | | +-- browserify-cipher@1.0.0
  | | | | +-- browserify-aes@1.0.6
  | | | | | `-- buffer-xor@1.0.3
  | | | | +-- browserify-des@1.0.0
  | | | | | `-- des.js@1.0.0
  | | | | |   `-- minimalistic-assert@1.0.0
  | | | | `-- evp_bytestokey@1.0.0
  | | | +-- browserify-sign@4.0.0
  | | | | +-- bn.js@4.11.6
  | | | | +-- browserify-rsa@4.0.1
  | | | | +-- elliptic@6.3.1
  | | | | | +-- brorand@1.0.5
  | | | | | `-- hash.js@1.0.3
  | | | | `-- parse-asn1@5.0.0
  | | | |   `-- asn1.js@4.8.0
  | | | +-- create-ecdh@4.0.0
  | | | +-- create-hash@1.1.2
  | | | | +-- cipher-base@1.0.2
  | | | | +-- ripemd160@1.0.1
  | | | | `-- sha.js@2.4.5
  | | | +-- create-hmac@1.1.4
  | | | +-- diffie-hellman@5.0.2
  | | | | `-- miller-rabin@4.0.0
  | | | +-- pbkdf2@3.0.4
  | | | +-- public-encrypt@4.0.0
  | | | `-- randombytes@2.0.3
  | | +-- domain-browser@1.1.7
  | | +-- events@1.1.1
  | | +-- http-browserify@1.7.0
  | | | `-- Base64@0.2.1
  | | +-- https-browserify@0.0.1
  | | +-- os-browserify@0.2.1
  | | +-- path-browserify@0.0.0
  | | +-- process@0.11.7
  | | +-- punycode@1.4.1
  | | +-- querystring-es3@0.2.1
  | | +-- stream-browserify@2.0.1
  | | +-- string_decoder@0.10.31
  | | +-- timers-browserify@1.4.2
  | | +-- tty-browserify@0.0.0
  | | +-- url@0.11.0
  | | | +-- punycode@1.3.2
  | | | `-- querystring@0.2.0
  | | +-- util@0.10.3
  | | `-- vm-browserify@0.0.4
  | |   `-- indexof@0.0.1
  | +-- source-map@0.5.6
  | +-- supports-color@3.1.2
  | | `-- has-flag@1.0.0
  | +-- uglify-js@2.6.4
  | | +-- async@0.2.10
  | | `-- yargs@3.10.0
  | |   `-- window-size@0.1.0
  | +-- watchpack@1.1.0
  | | +-- async@2.0.0-rc.4
  | | `-- chokidar@1.6.0
  | |   +-- anymatch@1.3.0
  | |   +-- async-each@1.0.0
  | |   +-- glob-parent@2.0.0
  | |   +-- is-binary-path@1.0.1
  | |   | `-- binary-extensions@1.5.0
  | |   `-- readdirp@2.1.0
  | |     `-- set-immediate-shim@1.0.1
  | `-- yargs@4.8.1
  |   +-- cliui@3.2.0
  |   | `-- wrap-ansi@2.0.0
  |   +-- lodash.assign@4.1.0
  |   +-- os-locale@1.4.0
  |   | `-- lcid@1.0.0
  |   |   `-- invert-kv@1.0.0
  |   +-- require-directory@2.1.1
  |   +-- require-main-filename@1.0.1
  |   +-- set-blocking@2.0.0
  |   +-- which-module@1.0.0
  |   +-- window-size@0.2.0
  |   +-- y18n@3.2.1
  |   `-- yargs-parser@2.4.1
  |     +-- camelcase@3.0.0
  |     `-- lodash.assign@4.1.0
  +-- webpack-dev-server@2.1.0-beta.0
  | +-- connect-history-api-fallback@1.2.0
  | +-- http-proxy-middleware@0.15.2
  | | +-- is-glob@2.0.1
  | | | `-- is-extglob@1.0.0
  | | `-- micromatch@2.3.11
  | |   +-- arr-diff@2.0.0
  | |   | `-- arr-flatten@1.0.1
  | |   +-- array-unique@0.2.1
  | |   +-- braces@1.8.5
  | |   | +-- expand-range@1.8.2
  | |   | | `-- fill-range@2.2.3
  | |   | |   +-- is-number@2.1.0
  | |   | |   +-- isobject@2.1.0
  | |   | |   `-- randomatic@1.1.5
  | |   | +-- preserve@0.2.0
  | |   | `-- repeat-element@1.1.2
  | |   +-- expand-brackets@0.1.5
  | |   | `-- is-posix-bracket@0.1.1
  | |   +-- extglob@0.3.2
  | |   +-- filename-regex@2.0.0
  | |   +-- kind-of@3.0.4
  | |   +-- normalize-path@2.0.1
  | |   +-- object.omit@2.0.0
  | |   | +-- for-own@0.1.4
  | |   | | `-- for-in@0.1.5
  | |   | `-- is-extendable@0.1.1
  | |   +-- parse-glob@3.0.4
  | |   | +-- glob-base@0.3.0
  | |   | `-- is-dotfile@1.0.2
  | |   `-- regex-cache@0.4.3
  | |     +-- is-equal-shallow@0.1.3
  | |     `-- is-primitive@2.0.0
  | +-- open@0.0.5
  | +-- serve-index@1.8.0
  | | +-- batch@0.5.3
  | | `-- http-errors@1.5.0
  | |   `-- setprototypeof@1.0.1
  | +-- sockjs@0.3.17
  | +-- sockjs-client@1.1.1
  | | +-- eventsource@0.1.6
  | | | `-- original@1.0.0
  | | |   `-- url-parse@1.0.5
  | | +-- faye-websocket@0.11.0
  | | +-- json3@3.3.2
  | | `-- url-parse@1.1.1
  | |   `-- querystringify@0.0.3
  | +-- stream-cache@0.0.2
  | +-- supports-color@3.1.2
  | `-- yargs@4.8.1
  |   +-- cliui@3.2.0
  |   +-- lodash.assign@4.1.0
  |   `-- window-size@0.2.0
  +-- webpack-md5-hash@0.0.5
  | `-- md5@2.1.0
  |   +-- charenc@0.0.1
  |   +-- crypt@0.0.1
  |   `-- is-buffer@1.1.4
  `-- webpack-merge@0.14.1
    +-- lodash.find@3.2.1
    | +-- lodash._basecallback@3.3.1
    | | +-- lodash._baseisequal@3.0.7
    | | `-- lodash.pairs@3.0.1
    | +-- lodash._baseeach@3.0.4
    | +-- lodash._basefind@3.0.0
    | +-- lodash._basefindindex@3.6.0
    | `-- lodash.isarray@3.0.4
    +-- lodash.isequal@4.3.1
    +-- lodash.isplainobject@3.2.0
    | +-- lodash._basefor@3.0.3
    | +-- lodash.isarguments@3.0.9
    | `-- lodash.keysin@3.0.8
    `-- lodash.merge@3.3.2
      +-- lodash._arraycopy@3.0.0
      +-- lodash._arrayeach@3.0.0
      +-- lodash._getnative@3.9.1
      +-- lodash.istypedarray@3.0.6
      `-- lodash.toplainobject@3.0.0

npm WARN optional Skipping failed optional dependency /angular-cli/chokidar/fsevents:
npm WARN notsup Not compatible with your operating system or architecture: fsevents@1.0.14
npm WARN karma-webpack@1.7.0 requires a peer of webpack@^1.4.0 but none was installed.

jh@DESKTOP-MDERS6S MINGW64 ~
$
16 Answers

✔️Accepted Answer

Solution:
I found out: On my Windows 10 system there were some "prerequisites" missing that have'nt been mentioned in the documentation for installation of angular-cli (/webpack-version).

On my notebook I built in an new SSD drive two weeks ago. After that I installed Windows 10 on the SSD and then some applications. So my system is quite untouched.

Installation of angular-cli@1.0.0-beta.11-webpack runs without errors (only some warnings) when I did the following steps (in addition: to the installation instructions of the angular-cli webpack-version: https://github.com/angular/angular-cli/blob/master/WEBPACK_UPDATE.md)

At first I updated to the current version of node (v6.3.1, includes npm 3.10.3): https://nodejs.org/en/download/current/

After that:

  1. npm uninstall -g angular-cli
  2. npm cache clean
  3. npm install -g node-gyp
  4. npm install --global --production windows-build-tools
    => installs Python and visual studio visual C++ build tools). Be patient. This installation takes about 15 minutes. Further information: https://github.com/Microsoft/nodejs-guidelines/blob/master/windows-environment.md#compiling-native-addon-modules
  5. npm install -g node-pre-gyp
  6. npm install -g chokidar (recommended for all Windows users to "simulate" fs-events-functions)
    => File system watching events (fs-events) is a module for OS Apple Macintosh. It’s not possible to install it on a windows operating system. The alternative for windows is chokidar. It will take the position of watching for file system events on Windows (Macintosh uses fs-events module for this). Ignore errors and warnings during installation. Further information: nodejs/node#7858
  7. npm install -g angular-cli@webpack

Other Answers:

Upgrading to the latest node version didn't do it for me.

tl;dr I solved this by doing the following:
npm uninstall -g angular-cli
npm cache clear
npm install -g anglular-cli@webpack
npm install -g node-pre-gyp
npm i


My troubleshooting process
npm uninstall -g angular-cli
npm cache clear
npm install -g anglular-cli@webpack

At this point I noticed the installer errored on installing node-pre-gyp, same as op

node-pre-gyp ERR! Tried to download: https://node-zopfli.s3.amazonaws.com/Release/zopfli-v1.4.0-node-v46-win32-x64.tar.gz
node-pre-gyp ERR! Pre-built binaries not found for node-zopfli@1.4.0 and node@4.4.7 (node-v46 ABI) (falling back to source compile with node-gyp)

i thought manually running the following would do the trick:
npm install -g node-pre-gyp

ng init still failing???
last ditch effort
npm i ended up resolving the remaining unmet deps.

Upgrading node to 6.6.0 worked for me.

More Issues: